Subject: bug#28840: closed (Re: bug#28840: openrct2 cannot find data-path)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 Oct 2017 18:11:02 +0000

Your bug report

#28840: openrct2 cannot find data-path

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28840: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28840
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28840: openrct2 cannot find data-path
From: Jelle Licht <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Jelle Licht <[email-masked]>, Rutger Helling <[email-masked]>, [email-masked]
Date: Thu, 26 Oct 2017 20:10:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Jelle Licht <[email-masked]> skribis:
>
>> Rutger Helling <[email-masked]> writes:
>>
>>> Hi Ludo and Jelle,
>>>
>>> I've attached a patch that fixed the issue for me by changing some
>>> references from /usr/share to /gnu/store/<hash>-openrct2-0.1.1/share.
>>> I can now run openrct2 without the additional parameter.
>>
>> I can confirm that Rutger's patch works as intented.
>
> Awesome.  Could you push it?

Pushed as 2e205c619334 on master.

Subject: openrct2 cannot find data-path
From: Jelle Licht <[email-masked]>
To: [email-masked]
Date: Sat, 14 Oct 2017 23:38:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The recently committed (and awesome) openrct2 built correctly,
but cannot currently find the needed language and shader files
for the game and therefore crashes. To make it work, I currently
have to invoke it via a command like
`--openrct-data-path=/gnu/store/<hash>-openrct2-0.1.1/share/openrct2/',
which imho is not optimal.

I dove into the source of openrct, and it seems there are still
some vestiges of the cmake flag we want, namely
ORCT2_RESOURCE_DIR. Sadly, support for configuring this variable
seems to have been removed about 4 months ago.

I opened an issue upstream regarding this[1], but maybe there is
an easy workaround we can use until a fix is hopefully released.
I was thinking of either a phase which calls `wrap-program', or
adding the required flag back via a short snippet.

- Jelle

[1]: https://github.com/OpenRCT2/OpenRCT2/issues/6473

p.s. Besides these rather small issues, I can confirm that OpenRCT2
works.